Page MenuHomePhabricator

Add interface to tool labs interface for Plagiabot for setting triage state
Closed, ResolvedPublic3 Story Points

Description

For the new Tool Labs interface for eranbot, we want to store the triage state -- untriaged, Page fixed, and No action needed.

Acceptance criteria:

  • Interface includes buttons for setting state of each item to Page fixed, No action needed
  • Clicking the buttons stores the states in the database successfully (may need to modify schema)
  • Clicking the buttons gives a visual indication on the page that the state of the item has changed -- the selected button stays green/red with white letters, and the other button is grayed out.

Untriaged state:

Reviewed:

Event Timeline

kaldari created this task.Apr 7 2016, 5:35 PM
kaldari renamed this task from Add fields in eranbot database for storing triage state and the user that performed triage to Add field in eranbot database for storing triage state.Apr 7 2016, 5:38 PM
kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)Apr 7 2016, 5:40 PM
Niharika renamed this task from Add field in eranbot database for storing triage state to Add information in eranbot database for triage state after user clicks FP/TP.Apr 7 2016, 5:41 PM
kaldari set the point value for this task to 3.Apr 7 2016, 5:49 PM
kaldari renamed this task from Add information in eranbot database for triage state after user clicks FP/TP to Add interface to tool labs interface for Plagiabot for setting triage stage.Apr 11 2016, 4:10 PM
kaldari updated the task description. (Show Details)
DannyH renamed this task from Add interface to tool labs interface for Plagiabot for setting triage stage to Add interface to tool labs interface for Plagiabot for setting triage state.Apr 11 2016, 4:43 PM
DannyH moved this task from Untriaged to Estimated on the Community-Tech board.
DannyH updated the task description. (Show Details)Apr 16 2016, 12:16 AM

I added this definition for the three buttons:

Page Fixed: The edit is determined to be copyvio, and the user has reverted or fixed the page.

No Action Needed: The edit is a false positive, nothing needs to be done.

Request 2nd Opinion: The edit looks like copyvio, but it's a complicated edit that the user isn't sure how to fix. These items are flagged for the more experienced users to take a look.

DannyH updated the task description. (Show Details)May 5 2016, 11:12 PM

@DannyH, I think the latest additions to this patch description should be moved to another new ticket because they sure seem worth another two story points or so.
More than the code, it's the design of it that sucks up time and effort.
(Aside, I think we should avoid adding new tasks to already estimated tickets to avoid it messing up with our velocity estimation)

Buttons can be used more than once if someone else disagrees with the state. When a user clicks on either button, a confirmation message pops up: Are you sure that you want to change the review setting? Yes / No. When the user confirms, the state goes back to untriaged.

After some thinking, I think this is a bad idea. It's essentially an edit war. Edit which is reverted over and over. Allowing this in the interface would likely *encourage* more such behavior.

It makes most sense to stick with what's been tried and tested and is known to work on Copyright/rc for the first iteration of our tool. Eventually, as we open this for people, we can ask them for ideas and what they think is important and needs to be added.

I pressed a button by mistake, I'd like to know how can I undo my action. Thank you.

I pressed a button by mistake, I'd like to know how can I undo my action. Thank you.

No worries. Database writes are disabled.

(I'll add a notice for this so people stop freaking out :)

No worries. Database writes are disabled.

😌

DannyH updated the task description. (Show Details)May 6 2016, 5:42 PM
kaldari closed this task as Resolved.May 17 2016, 12:17 AM

Looks good to me.

DannyH moved this task from Estimated to Archive on the Community-Tech board.